using Godot;
using System;
using System.Linq;
using Godot.Collections;

public partial class SceneManager : Node
{
	[Export] public Dictionary<string, string> Scenes;

	public string CurrentScene;

	public void SwitchScene(string sceneName)
	{
		GetTree().ChangeSceneToFile(Scenes[sceneName]);
	}

	public override void _Ready()
	{
		var scenePath = (string)ProjectSettings.GetSetting("application/run/main_scene");
		CurrentScene = Scenes.First(pair => pair.Value == scenePath).Key;
	}
}
